Bug 229421 - CAN-2005-0490 Multiple stack based buffer overflows in curl
Summary: CAN-2005-0490 Multiple stack based buffer overflows in curl
Status: CLOSED WONTFIX
Alias: None
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: curl   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Stronghold Engineering List
URL:
Whiteboard: impact=low,public=20050221,source=bug...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 22:24 UTC by Joe Orton
Modified: 2007-10-12 11:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 11:49:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-02-20 22:24:34 UTC
+++ This bug was initially created as a clone of Bug #149322 +++

Multiple stack-based buffer overflows in libcURL and cURL 7.12.1, and
possibly other versions, allow remote malicious web servers to execute
arbitrary code via base64 encoded replies that exceed the intended
buffer lengths when decoded, which is not properly handled by (1) the
Curl_input_ntlm function in http_ntlm.c during NTLM authentication or
(2) the Curl_krb_kauth and krb4_auth functions in krb4.c during
Kerberos authentication.

http://www.idefense.com/application/poi/display?id=203&type=vulnerabilities
http://www.idefense.com/application/poi/display?id=202&type=vulnerabilities

-- Additional comment from bressers@redhat.com on 2005-02-22 09:05 EST --
This issue should also affect RHEL2.1 and RHEL3.


Note You need to log in before you can comment on or make changes to this bug.